=== debian/changelog ===
gnurobbo (0.63-1) unstable; urgency=low

  [ Willem-Jan de Hoog ]
  * upstream version 0.63 which includes 
    * support for touch sreens
    * new levels
    * skinnable graphics
    * reconfigurable options and controls
    * localized resources.
  * Removed on-screen controls.
  * Removed dependancy on SDL_gfx 
  * Nicer Robbo icon in menu and Application manager

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 1 Sept 2009 20:45:00 +0000

gnurobbo (0.57-1) unstable; urgency=low

  [ Willem-Jan de Hoog ]
  * packaged gnurobbo 0.57 for maemo diablo
  * added support for control using touch screen
  * register with osso to prevent being killed
  * changing level to play using left/right keys

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 05 Jan 2009 20:45:00 +0000
