=== debian/control ===
Source: gnurobbo
Section: user/games
Priority: extra
Maintainer: W. de Hoog <wdehoog@exalondelft.nl>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.2

Package: gnurobbo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Robbo puzzle.
 It's popular Atari XE/XL game ported to Linux.
 Robbo the robot is trying to get out of the planet.
 He must collect all parts of capsule to move to next level. 
 .
 The project home page is at <URL:http://gnurobbo.sourceforge.net/>.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAhMAAAITAHzz8NlAAAAB3RJTUUH2QEGACUa9H+4
 tgAAAB10RVh0Q29tbWVudABDcmVhdGVkIHdpdGggVGhlIEdJTVDvZCVuAAAB
 GklEQVRYw+1XwQ3CMAw8o7JHyyLNBqwAc/Dhw58RWIEBkMoiKJuYB0lRnLRJ
 kVBdxP2aupF8vsulxGCUgEAMAAymkjqPXP0KM4NyDPSduzKidGeyrl+ncSZm
 Z6Aqpsp30jMhZi0YWowGqrzqoxcvdOl1nugefQz0PvYdmvSQ60stvrRpMbh9
 yKSZ0MOA7PzdoU3LO2cXhPvYziaZ0HMSRrP/Fkx4PujLAplmESKNOKXsbOia
 DH5fA9yWmUVhFpjxWRejdb6/C/WzthuRDzDOXA2b/YuJdXMDABy2GwDA6foI
 no/npsgdelwgGSCR917NnoGpkAyoS8N/FlRSlT6vhzJg8Kz/kLkFa0DMMpui
 0O6C4vtA4R/PYjTwBBBIgtcM6SeZAAAAAElFTkSuQmCC
