=== debian/changelog ===
gnurobbo (0.64) unstable; urgency=low
  [ Willem-Jan de Hoog ]
  * upstream version 0.64 which includes 
  * lots of new levels
  * sound 
  * new skin (Oily)
  * russian translation

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 23 Dec 2009 20:45:00 +0000
