=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: W. de Hoog <wdehoog@exalondelft.nl>
-Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev
+Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
 Standards-Version: 3.7.2
 
 Package: gnurobbo
