=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) -f Makefile.n8x0
 	#docbook-to-man debian/gosmore.sgml > gosmore.1
 
 	touch $@
@@ -45,7 +45,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) -f Makefile.n8x0 clean
 
 	dh_clean
 
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/gnurobbo.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/gnurobbo bindir=/usr/bin prefix=/usr install
+	$(MAKE) -f Makefile.n8x0 DESTDIR=$(CURDIR)/debian/gnurobbo bindir=/usr/bin prefix=/usr install
 
 
 # Build architecture-independent files here.
