## gnurobbo 0.65.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 DOCDIR=./
 
 # Uncomment the line below if you want to have music support
-MUSIC=-DHAVE_MUSIC
-# Uncomment the line below if you want to enable the designer
+#MUSIC=-DHAVE_MUSIC
+# Comment the line below if you want to disable the designer
 DESIGNER=-DHAVE_DESIGNER
 
 # Choose ONE of these and comment the other
@@ -29,7 +29,7 @@
 
 # These should be ok for most
 SDL_CONFIG=sdl-config
-CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
+CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER) 
 LINK=$(CC)
 LDFLAGS=
 LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)
@@ -67,6 +67,7 @@
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/sk_SK
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/sv_SE
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/ru_RU
+	mkdir -p $(PACKAGE_DATA_DIR)/locales/id_ID
 	mkdir -p $(BINDIR)
 	mkdir -p $(DOCDIR)
 	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
@@ -88,6 +89,7 @@
 	cp data/locales/sk_SK/* $(PACKAGE_DATA_DIR)/locales/sk_SK/
 	cp data/locales/sv_SE/* $(PACKAGE_DATA_DIR)/locales/sv_SE/
 	cp data/locales/ru_RU/* $(PACKAGE_DATA_DIR)/locales/ru_RU/
+	cp data/locales/id_ID/* $(PACKAGE_DATA_DIR)/locales/id_ID/
 	cp $(TARGET) $(BINDIR)/
 	cp ChangeLog NEWS COPYING README LICENSE-sound $(DOCDIR)/
 	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
