## gnurobbo 0.66%2Bdfsg

=== debian/changelog ===
gnurobbo (0.66+dfsg-3) unstable; urgency=low

  * Ship an XPM icon and use it in the Debian menu entry (closes:
    #726357).
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no further change required.
  * Debhelper compatibility level 9.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Oct 2013 19:53:34 +0200

gnurobbo (0.66+dfsg-2) unstable; urgency=low

  * Always use a format string with sprintf() (closes: #643397).
  * Install a FreeDesktop-standard desktop file, as suggested by Auriza
    Akbar (closes: #637833).
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Wed, 28 Sep 2011 00:02:45 +0200

gnurobbo (0.66+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Simplify debian/rules using dh, and retrieve flags from dpkg-
    buildflags (thanks to Peter Pentchev for his suggestions!).
  * Correct build-dependency on quilt to guarantee dh compatibility.
  * Standards-Version 3.9.1, no change required.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix "[gnurobbo] Segfaults after choosing Oily skin." by linking the
    DejaVu TTF file to the expected location in the skin (closes:
    #614042).

 -- Stephen Kitt <steve@sk2.org>  Sat, 19 Feb 2011 21:55:26 +0100

gnurobbo (0.65.6+dfsg-1) unstable; urgency=low

  * New upstream version (packaged without sound support for Debian,
    since the sound license is CC Sampling Plus 1.0 which is considered
    non-free).

 -- Stephen Kitt <steve@sk2.org>  Mon, 01 Feb 2010 20:52:56 +0100

gnurobbo (0.62+dfsg-2) unstable; urgency=low

  * Explicitly link in the maths library (closes: #554691).

 -- Stephen Kitt <steve@sk2.org>  Sat, 07 Nov 2009 16:04:41 +0100

gnurobbo (0.62+dfsg-1) unstable; urgency=low

  * Repackage upstream tarball to avoid shipping non-free files in the
    source package (closes: #553911).
  * Update watch file to handle upstream's "-source" suffix and our
    "+dfsg" suffix.
  * Add get-orig-source target to repackage the original tarball, removing
    non-free fonts (with their incorrect license files) and unnecessary
    binaries.
  * Ship NEWS file.

 -- Stephen Kitt <steve@sk2.org>  Tue, 27 Oct 2009 07:08:11 +0100

gnurobbo (0.62-1) unstable; urgency=low

  * New maintainer (Closes: #544913).
  * New upstream version.
  * Refreshed patches:
    + do-not-dump-vmusage.diff: removed, merged upstream;
    + Makefile.diff: updated.
  * Bump Standards-Version to 3.8.3; no change required.

 -- Stephen Kitt <steve@sk2.org>  Sun, 25 Oct 2009 13:08:58 +0100

gnurobbo (0.61-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New Upstream Version (LP: #337089)
  * Do not dump vm usage information
    + New patch: do-not-dump-vmusage.diff
  * Update packaging for debhelper 7
  * Update copyright information
  * Update Vcs-* fields for the Git repository
  * Bump Standards Version to 3.8.0
    + add debian/README.source
  * Add watch file

  [ Gonéri Le Bouder ]
  * Do not install the LICENSE-font files 

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 14 Mar 2009 23:10:50 +0100

gnurobbo (0.57.1-2) unstable; urgency=low

  * New Maintainer: Debian Games Team (Closes: #465941)
  * Add myself to Uploaders
  * Update debian/copyright to point to GPL-2.
  * Use quilt for patch management.
  * Use DejaVu instead of Bitstream Vera font (Closes: #461260).
  * Omit 'GNU robbo' from short description.
  * Add watch file.
  * debian/rules: Use CFLAGS provided by dpkg-buildpackage.
  * Acknowledge NMU (Closes: #308264)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 04 May 2008 21:17:01 +0200

gnurobbo (0.57.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a missing include directive to game.c to avoid an implicitly
    converted pointer on some 64-bit architectures.  Closes: #308264

 -- dann frazier <dannf@debian.org>  Tue, 20 Sep 2005 09:00:51 -0600

gnurobbo (0.57.1-1) unstable; urgency=low

  * Replaced proprietary font with free Vera (Closes: #298955)

 -- Lukasz Jachowicz <honey@debian.org>  Sun, 08 May 2005 10:21:39 +0200
