=== debian/control ===
Source: gnurobbo
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 9), libsdl-ttf2.0-dev, libsdl1.2-dev (>> 1.2.7), libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.4
Homepage: http://gnurobbo.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/gnurobbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gnurobbo.git

Package: gnurobbo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-dejavu-extra
Description: logic game ported from ATARI XE/XL
 GNU Robbo is very addictive logic game. You must help a little robot to
 get out of an unfriendly planet, collecting parts of an emergency capsule.
 .
 Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".
