=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	DEHS=$$(mktemp) && \
	uscan --dehs --download --destdir . --package gnurobbo \
	      --upstream-version 0 --repack \
	      --force-download --watchfile $(dir $(_))/watch > $$DEHS && \
	VERSION=$$(sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p' $$DEHS) && \
	DESTDIR=$$PWD && \
	SRC=$$PWD/gnurobbo_$$VERSION.orig.tar.gz && \
	DEST=$$PWD/gnurobbo_$$VERSION+dfsg.orig.tar.gz && \
	TMPDIR=$$(mktemp -d) && \
	cd $$TMPDIR && \
	tar xzf $$SRC && \
	mv gnurobbo-$$VERSION gnurobbo-$$VERSION+dfsg && \
	cd gnurobbo-$$VERSION+dfsg && \
	rm -f data/skins/*/*.ttf data/skins/*/LICENSE-ttf gnurobbo && \
	find . -name \*.ogg -exec rm {} \; && \
	rm -f LICENSE-ttf LICENSE-sound && \
	cd .. && \
	rm -f $$DEST && \
	tar czf $$DEST gnurobbo-$$VERSION+dfsg && \
	cd $$DESTDIR && \
	rm -rf $$TMPDIR && \
	rm -f $$DEHS

.PHONY: get-orig-source
