=== debian/watch ===
version=3
opts=uversionmangle=s/-source$//,dversionmangle=s/.dfsg$// \
  http://sf.net/gnurobbo/gnurobbo-([0-9].*)(?:-source|)\.tar\.(?:gz|bz2)
