## gnurobbo 0.68%2Bdfsg

=== debian/changelog ===
gnurobbo (0.68+dfsg-3) unstable; urgency=medium

  * Drop -d from CFLAGS so the package will build with GCC 7
    (closes: #853427).
  * Update debian/copyright.
  * Mark gnurobbo-data as Multi-Arch: foreign.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Aug 2017 21:47:07 +0200

gnurobbo (0.68+dfsg-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Sort the sources so the package can build reproducibly; thanks to
    Reiner Herrmann for the patch (closes: #826424).
  * Enable all hardening options.
  * Drop the Debian menu entry (in favour of the desktop descriptor).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.
  * Update debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jun 2016 22:53:55 +0200

gnurobbo (0.68+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Standards-Version 3.9.6, no change required.
  * Move the data to an arch-independent gnurobbo-data file.
  * Switch to fonts-dejavu-extra instead of ttf-dejavu-extra.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Aug 2015 23:00:15 +0200

gnurobbo (0.66+dfsg-4) unstable; urgency=medium

  * Update debian/copyright to machine-readable format, and use
    Files-Excluded to drop get-orig-source from debian/rules.
  * Drop README.source since we're explicitly using format 3.0 (quilt).
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 May 2014 12:20:43 +0200
